Package org.eclipse.net4j.util.security

# Class MessageDigestCrypter

java.lang.Object
org.eclipse.net4j.util.security.MessageDigestCrypter

All Implemented Interfaces:
  `Function<byte[],byte[]>`, `ICrypter`

public class MessageDigestCrypter extends Object implements ICrypter

Since:
  3.23
Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.net4j.util.security.ICrypter

`IDENTITY, PRODUCT_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`MessageDigestCrypter(String algorithm, String salt)`
`MessageDigestCrypter(MessageDigest messageDigest, String salt)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`apply(byte[] data)`
`String`
`getParams()`
`String`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### MessageDigestCrypter

public MessageDigestCrypter(MessageDigest messageDigest, String salt)

### MessageDigestCrypter

public MessageDigestCrypter(String algorithm, String salt) throws NoSuchAlgorithmException

Throws:
  `NoSuchAlgorithmException`

## Method Details

### getType

public String getType()

Specified by:
  `getType` in interface `ICrypter`

### getParams

public String getParams()

Specified by:
  `getParams` in interface `ICrypter`

### apply

public byte[] apply(byte[] data)

Specified by:
  `apply` in interface `Function<byte[],byte[]>`
Specified by:
  `apply` in interface `ICrypter`